<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smif__mem__cmd__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smif_mem_cmd_t</compoundname>
    <includes local="no">cy_smif_memslot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smif__mem__cmd__t_1a958f9306f3695ffe4e43396efdffbf68" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_mem_cmd_t::command</definition>
        <argsstring />
        <name>command</name>
        <briefdescription>
<para>The 8-bit command. </para>        </briefdescription>
        <detaileddescription>
<para>This value is 0xFFFFFFFF when there is no command present </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="352" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="352" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1aa4b9a242dc39edc90618cbddb87274c2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smif__enums_1gab71e4b1f4c80b3e8c82dd85570415e44">cy_en_smif_txfr_width_t</ref></type>
        <definition>cy_en_smif_txfr_width_t cy_stc_smif_mem_cmd_t::cmdWidth</definition>
        <argsstring />
        <name>cmdWidth</name>
        <briefdescription>
<para>The width of the command transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="353" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="353" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1a23d95eaa05bd12e4cbb416e1f07af5d7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smif__enums_1gab71e4b1f4c80b3e8c82dd85570415e44">cy_en_smif_txfr_width_t</ref></type>
        <definition>cy_en_smif_txfr_width_t cy_stc_smif_mem_cmd_t::addrWidth</definition>
        <argsstring />
        <name>addrWidth</name>
        <briefdescription>
<para>The width of the address transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="354" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="354" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1a1933492ca1e86dd877868c9020af4412" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_mem_cmd_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>The 8-bit mode byte. </para>        </briefdescription>
        <detaileddescription>
<para>This value is 0xFFFFFFFF when there is no mode present </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="355" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="355" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1a01766309d9ff04dd5555758776600be3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smif__enums_1gab71e4b1f4c80b3e8c82dd85570415e44">cy_en_smif_txfr_width_t</ref></type>
        <definition>cy_en_smif_txfr_width_t cy_stc_smif_mem_cmd_t::modeWidth</definition>
        <argsstring />
        <name>modeWidth</name>
        <briefdescription>
<para>The width of the mode transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="356" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="356" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1abb0e73fe83948a117e3f1301c258d1d1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_mem_cmd_t::dummyCycles</definition>
        <argsstring />
        <name>dummyCycles</name>
        <briefdescription>
<para>The number of the dummy cycles. </para>        </briefdescription>
        <detaileddescription>
<para>A zero value suggests no dummy cycles </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="357" />
      </memberdef>
      <memberdef id="structcy__stc__smif__mem__cmd__t_1a5a240edc3870586228a47dcc9cfca6ee" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smif__enums_1gab71e4b1f4c80b3e8c82dd85570415e44">cy_en_smif_txfr_width_t</ref></type>
        <definition>cy_en_smif_txfr_width_t cy_stc_smif_mem_cmd_t::dataWidth</definition>
        <argsstring />
        <name>dataWidth</name>
        <briefdescription>
<para>The width of the data transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="358" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This command structure is used to store the Read/Write command configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="359" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="350" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="351" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1a23d95eaa05bd12e4cbb416e1f07af5d7" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>addrWidth</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1aa4b9a242dc39edc90618cbddb87274c2" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>cmdWidth</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1a958f9306f3695ffe4e43396efdffbf68" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>command</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1a5a240edc3870586228a47dcc9cfca6ee" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>dataWidth</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1abb0e73fe83948a117e3f1301c258d1d1" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>dummyCycles</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1a1933492ca1e86dd877868c9020af4412" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>mode</name></member>
      <member prot="public" refid="structcy__stc__smif__mem__cmd__t_1a01766309d9ff04dd5555758776600be3" virt="non-virtual"><scope>cy_stc_smif_mem_cmd_t</scope><name>modeWidth</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>